Subject: Re: bug#15760: Bug #15760: 24.3; move-to-window-line goes to wrong line

From: Eli Zaretskii <[email-masked]>
Date: Mon, 27 Jun 2016 18:33:38 +0300

> From: Noam Postavsky <[email-masked]>
> Date: Sun, 26 Jun 2016 22:35:34 -0400
> Cc: John Hagerman <[email-masked]>, [email-masked]
> 
> >> Ah, the line is indeed fully visible according to
> >> pos-visible-in-window-p. But trying with emacs 24.5 the problem
> >> doesn't occur, so actually this must be a bug that was fixed sometime
> >> between 24.3 and 24.5.
> >
> > I think I see it in 25.0.95.  I will take a look.
> 
> Oh yeah, I see it too. Regression :(

Not a regression, actually.  There was a subtle off-by-one error in a
subroutine of move-to-window-line, which was present there since the
day the function was written.  I see the same problem in 24.5.  Now
hopefully fixed on master.

I also updated the documentation, which was very vague about the exact
meaning of the argument -1.

Thanks.